<?php
session_start();
$ruta="../../../";
include_once($ruta."class/tipobanca.php");
$tipobanca=new tipobanca;
include_once($ruta."class/fgarantia.php");
$fgarantia=new fgarantia;
include_once($ruta."funciones/funciones.php");
extract($_POST);
$idnombre=strtoupper($idnombre);
$iddescripcion=strtoupper($iddescripcion);
$valores=array(
	"tipoplanilla"=>"'$tipoplanilla'",
	"nombre"=>"'$idnombre'",
	"descripcion"=>"'$iddescripcion'",
	"depositoacumulado"=>"'$iddeposito'",
	"gastosadmin"=>"'$iddeposito'",
	"interes"=>"'$idinteres'", 
	"seguro"=>"'$idseguro'" 
);
if($tipobanca->insertar($valores))
{
	$dtp=$tipobanca->mostrarUltimo("nombre='".$idnombre."' and interes=".$idinteres);
	$idfgar=$dtp['idtipobanca'];
	$valores=array(
		"idtipobanca"=>"'$idfgar'",
		"ciclo"=>"'1'",
		"montoIn"=>"'0'",
		"montoFin"=>"'100000'",
		"porcentaje"=>"'15'"
	);
	$fgarantia->insertar($valores);
	$valores=array(
		"idtipobanca"=>"'$idfgar'",
		"ciclo"=>"'2'",
		"montoIn"=>"'0'",
		"montoFin"=>"'100000'",
		"porcentaje"=>"'20'"
	);
	$fgarantia->insertar($valores);
	 
	?>
		<script  type="text/javascript">
	         	swal({
				  title: "Exito !!!",
				  text: "Banca Registrada correctamente",
				  type: "warning",
				  showCancelButton: false,
				  confirmButtonColor: "#16c103",
				  confirmButtonText: "OK",
				  cancelButtonText: "No. Adm. Ejecutivo",
				  closeOnConfirm: false,
				  closeOnCancel: false
				},
				function(isConfirm){ 
				    location.reload(); 
				});		
		</script>

	<?php
}
else
{
	?>
	<script type="text/javascript">
		Materialize.toast('<span>No se pudo guardar el registro</span>', 1500);
	</script>
	<?php
}
?>